package com.example.layoutview;

import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

import java.util.ArrayList;

public class MainActivity extends AppCompatActivity implements View.OnClickListener, AdapterView.OnItemClickListener {
    TextView mainTextView;
    Button mainButton, ok_btn, cnc_btn;
    EditText mainEditText;
    ListView mainListView;
    ArrayAdapter<String> mArrayAdapter;
    ArrayList<String> mNameList = new ArrayList<>();

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        mainTextView = findViewById(R.id.main_textview);
        mainTextView.setText("Set in Java!");

        mainButton = findViewById(R.id.main_button);
        mainButton.setOnClickListener(this);

        mainEditText = findViewById(R.id.main_edittext);

        mainListView = findViewById(R.id.main_listview);
        mArrayAdapter = new ArrayAdapter<>(this, android.R.layout.simple_list_item_1, mNameList);
        mainListView.setAdapter(mArrayAdapter);
        mainListView.setOnItemClickListener(this);

        ok_btn = findViewById(R.id.ok_btn);
        cnc_btn = findViewById(R.id.cnc_btn);

        ok_btn.setOnClickListener(oclBtn);
        cnc_btn.setOnClickListener(oclBtn);
    }

    @Override
    public void onClick(View v) {
        String userInput = mainEditText.getText().toString().trim();
        if (!userInput.isEmpty()) {
            mainTextView.setText(userInput + " is learning Android development!");
            mNameList.add(userInput);
            mArrayAdapter.notifyDataSetChanged();
            mainEditText.setText(""); // Очистка поля ввода после добавления
        }
    }

    @Override
    public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
        Log.d("ListView Click", position + ": " + mNameList.get(position));
        mainTextView.setText(mNameList.get(position) + " is learning Android development!");
    }

    private final View.OnClickListener oclBtn = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            if (v.getId() == R.id.ok_btn) {
                mainTextView.setText("Нажата кнопка ОК");
                Toast.makeText(getApplicationContext(),
                        "Нажата кнопка ОК"
                        ,
                        Toast.LENGTH_LONG).show();
            } else if (v.getId() == R.id.cnc_btn) {
                mainTextView.setText("Нажата кнопка Cancel");
                Toast.makeText(getApplicationContext(),
                        "Нажата кнопка Cancel"
                        ,
                        Toast.LENGTH_LONG).show();
            }
        }
    };
}